Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
mcp-servers
List Mcp Servers
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/mcp-servers/ \
  --header 'Authorization: Bearer <token>'
{
  "servers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "url": "<string>",
      "transport": "<string>",
      "auth_type": "<string>",
      "auth_header_name": "<string>",
      "has_auth": true,
      "tool_prefix": "<string>",
      "timeout_seconds": 123,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Query Parameters

include_inactive
boolean
default:false
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Response schema for listing MCP servers.

servers
McpServerRead · object[]
required
total
integer
required